ZIOREP_CONFIG(8)

NAME
ziorep_config - Configuration report for the ziomon framework.

SYNOPSIS
ziorep_config [-h] [-v] [-t] [-i <source>] [-a <adapter>] [-p <port>] [-l <lun>] [-s <host>] [-d <dev>] [-m <dev>] [-A] [-D] [-M] [-I]

DESCRIPTION
ziorep_config The ziorep_config report is a multi purpose utility serving a variety of requirements. The purpose of this report is to visualize the SCSI-, FCP- and multipath-configuration of the entire system. Depending on the current point of interest this information is delivered from different angles, controlled by command-line switches and described in more detail in the example section. The report is not only usable on a pre-processed configuration file or configuration directory-tree but also on the live system. All parameters have to specified in their full extent, ``short-versions'' (e.g. 3c07 as subchannel-ID) are not allowed. Hexadecimal values have to be specified with a leading ``0x'' and have to be lowercase always. In addition all WWPNs and LUNs have to be specified as a 16-digit hex-value, leading and trailing zeros are vital and have to be part of the number.

OPTIONS

-h or --help
    Print help information, then exit.

-v or --version
    Print version information, then exit.

-t or --topline
    print a header for column description the default is to print no header which is useful if the results are imported by another application.
    e.g. ziorep_config -D -t

-i or --input <src-file | src-dir>
    specify a directory or configuration file as source instead of working on the current live-system.
    e.g. ziorep_config -i config.cfg

-a or --adapter <BUS-ID>
    limit the output to the list of adapters specified
    e.g. ziorep_config -a 0.0.3c07 -a 0.0.3d07

-p or --port <port-WWPN>
    limit the output to the list of remote-ports specified
    e.g. ziorep_config -D -p 0x5005123456789000 -p 0x5005123456789001

-l or --lun <LUN>
    limit the output to the list of LUNs specified
    e.g. ziorep_config -D -l 0x401040a600000000 -l 0x401040a700000000

-s or --scsi <shost>
    limit the output to the list SCSI hosts specified
    e.g. ziorep_config -D --scsi host0 -s host5

-d or --device <sdev>
    limit the output to the list of SCSI devices specified
    e.g. ziorep_config -D --device sda -d sde

-m or --mdev <mdev>
    limit the output to the list of multipath devices specified
    e.g. ziorep_config -M -m 36005076303ffc56200000000000010a6

-A or --Adapter
    print the adapter report, this is the default.

-D or --Device
    print the device report

-M or --Map
    print the multipath, mapper report

-I or --Internal
    prints an assembly of data used as input for a variety of reports

EXAMPLES
The following example shows how to trigger the ``device report'', limiting the output to the two adapters 0.0.3c07 and 0.0.3d07 with an enabled ``topline'' (table header). ziorep_config -D -t -a 0.0.3c07 -a 0.0.3d07 The limiting parameters (-a, -p, -l, -d, -s, -m) can be used in two ways. First to provide the values as a comma separated list or by specifying the switch multiple times. A combination of both is valid as well. To trigger the "mapper report" and limiting the output to the SCSI devices sda, sde and sdf the command-line would look like this ziorep_config -M -d sda -d sde -d sdf

SEE ALSO
ziomon(8), ziomon_util(8), ziomon_zfcpdd(8) ziomon_fcpconf(8)